<?php  
session_start(); 
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_visatype_master";
	$re = mysqli_query($conn, $eve);
	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 	
				$visatmid=$rt['visatmid'];
				
				
				
				$pidedit="<a href='visatypeedit.php?id=".$rt['visatmid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'> </a>";
				
				
				$piddelete="<a href='visatypedelete.php?id=".$rt['visatmid']."' onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";	

               $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$visatype=str_replace ("'","'",$rt['visatype']);
				$visatype=str_replace ('"','\"',$visatype);
				
				$visatypedesc=str_replace ("'","'",$rt['visatypedesc']);
				$visatypedesc=str_replace ('"','\"',$visatypedesc);
				
				
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op, 'visatype'=> $visatype, 'visatypedesc'=> $visatypedesc);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }
   
	mysqli_close($conn);
	
	
?>